* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.nunito {
    font-family: "Nunito Sans", sans-serif;
}

.roboto {
    font-family: "Roboto", sans-serif;
}

.main_wrapper {
    position: relative;
    max-width: 1920px;
    width: 100%;
    margin: auto;
    background-image: url('../images/desk_bg.jpg');
    background-position: center center;
    background-size: cover;
    background-color: #609898;
}

.main_content {
    max-width: 1230px;
    margin: auto;
    width: 100%;
    padding-top: 36px;
    padding-bottom: 32px;
}

.main_title {
    color: #fff;
    font-weight: 400;
    max-width: 790px;
    font-size: 34px;
}

.main_title strong {
    font-weight: 700;
}

.regards {
    color: #fff;
    font-weight: 500; 
    font-size: 32px;
    margin-top: 10px;
}

.main_btns {
     max-width: 400px;
}

.btn {
    margin-top: 17px;
    border-radius: 32px;
    background: #B26BCF;
    color: #FFF;  
    font-size: 20px;
    padding: 20px 60px;
    border: 0;
    outline: none;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
   
    width: 100%;
    cursor: pointer;
    text-decoration: none;
}

.btn_icon {
    margin-right: 10px;
}

.btn_text {
    margin-top: 5px;
}

.rules sup {
    color: #F40400;
}

.rules {
    text-align: center;
    font-size: 14px; 
    font-weight: 300;
    color: #FFF;
    padding: 10px 22px 0;
}

.rules a {
    color: #fff; 
}

.email_popup {
    max-width: 510px;
    width: 100%;
    border-radius: 43px;
    background: #fff;
    padding: 65px 35px 45px; 
}

.popup_form {
    position: relative;
}

.close_popup {
    position: absolute;
    right: -5px;
    top: -35px;
    cursor: pointer;
}

.popup_title {
    font-size: 24px;
    color: #B26BCF; 
    text-align: center;
    font-weight: 700; 
    text-transform: uppercase;
}

.popup_input {
    border-radius: 25px;
    border: 1px solid #B26BCF; 
    background: #FFF;
    color: #B26BCF;
    height: 50px;
    display: flex;
    max-width: 400px;
    width: 100%;
    margin: 15px auto;
    padding-left: 25px;
    font-size: 16px;
}

.popup_input::-webkit-input-placeholder,
.popup_input::placeholder {
    color: #B26BCF;
}

.popup_btn {
    border-radius: 25px; 
    background: #B26BCF;
    color: #fff;
    border: none;
    outline: none;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    max-width: 400px;
    width: 100%;
    margin: 15px auto; 
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
}

.popup_overlay {
    display: none;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #2c2c2c50;
}

.book {
    display: none;
}

@media (max-width: 1280px) {
    .main_content {
        padding-left: 20px; 
        padding-right: 20px; 
    }
}

@media (max-width: 991px) {
    .main_wrapper {
        background-image: url('../images/mob_bg.jpg');
        background-position: center;
        background-size: cover;
    }
    .main_content {
        text-align: center;
    }
    .main_title {
        max-width: unset;
    }
    .main_btns {
        margin: auto;
    }
}

@media (max-width: 425px) {
    .main_title {
        font-size: 30px;
    }
    .main_content {
        padding-left: 25px; 
        padding-right: 25px; 
        padding-top: 65px;
        height: 1590px;
    }
    .regards {
        font-size: 24px;
        margin-bottom: 30px;
    }
    .btn {
        font-size: 18px;
    }
    .email_popup {
        width: 95%;
        position: fixed;
        top: 35%;
    }
}

.custom-select {
    top: 40px;
    left: 66%;
    transform: translate(-66%,0);
    position:absolute;
    display: flex;
    align-items: center;
    width: auto; 
}
@media screen and (max-width:768px) {
    .custom-select {
        top: 15px;
        left: 80%;
        transform: translate(-80%,0);
        position:absolute;
        display: flex;
        width: auto; 
    }
}
.language-code {
    background-color: #B26BCF; 
    color: white; 
    padding: 10px;
    font-size: 20px;
    border-radius: 5px;
    margin-right: 10px;
    font-weight: bold;
    font-weight: 700;
    font-family: "Nunito Sans", sans-serif;
}

.language-name {
    font-family: "Nunito Sans", sans-serif;
    color: #FFF;
    font-weight: 500;
    font-size: 25px; /* Размер шрифта для названия языка */
    vertical-align: middle;
}
.custom-select::after {
    content: '▼';
    font-size: 16px;
    color: #B26BCF;
    position: absolute;
    right: -26px;
    top: 32%;
    transform: translate(-32%, 0);
}
.custom-select.open::after {
    transform: rotate(180deg);
}
select {
    appearance: none; /* Убираем стандартный вид селекта */
    background: transparent; /* Фон селекта */
    border: none; /* Убираем рамку */
    padding: 5px;
    font-size: 18px; /* Размер шрифта для селекта */
    cursor: pointer;
    position: absolute; /* Ставим селект на одно место */
    left: 0;
    opacity: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 1; /* На переднем плане */
}

/* Стили для выбора языка */
select option {
    background-color: white; /* Цвет фона для опций */
    color: black; /* Цвет текста для опций */
}
/* Стили для лоадера */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
  }
  
  .spinner {
    border: 6px solid #f3f3f3;
    border-top: 6px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
  }
  
  /* Анимация вращения */
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
